import{s as ro,n as no,o as go}from"../chunks/scheduler.7da89386.js";import{S as lo,i as io,g as n,s as o,r as d,A as so,h as g,f as r,c as a,j as u,u as c,x as v,k as b,y as t,a as i,v as h,d as m,t as f,w as p}from"../chunks/index.0b7befd3.js";import{D as x}from"../chunks/Docstring.80026b50.js";import{H as le,E as co}from"../chunks/EditOnGithub.0cb2bc8e.js";function ho(zt){let T,Ve,Ie,je,N,ze,A,He,s,q,gt,ie,Ht="Keeps track of the overall evaluation process and relevant information.",lt,se,Nt=`The <a href="/docs/lighteval/v0.7.0/en/package_reference/logging#lighteval.logging.evaluation_tracker.EvaluationTracker">EvaluationTracker</a> contains specific loggers for experiments details
(<a href="/docs/lighteval/v0.7.0/en/package_reference/logging#lighteval.logging.info_loggers.DetailsLogger">DetailsLogger</a>), metrics (<a href="/docs/lighteval/v0.7.0/en/package_reference/logging#lighteval.logging.info_loggers.MetricsLogger">MetricsLogger</a>), task versions
(<a href="/docs/lighteval/v0.7.0/en/package_reference/logging#lighteval.logging.info_loggers.VersionsLogger">VersionsLogger</a>) as well as for the general configurations of both the
specific task (<a href="/docs/lighteval/v0.7.0/en/package_reference/logging#lighteval.logging.info_loggers.TaskConfigLogger">TaskConfigLogger</a>) and overall evaluation run
(<a href="/docs/lighteval/v0.7.0/en/package_reference/logging#lighteval.logging.info_loggers.GeneralConfigLogger">GeneralConfigLogger</a>).  It compiles the data from these loggers and
writes it to files, which can be published to the Hugging Face hub if
requested.`,it,de,At="<strong>Attributes</strong>:",st,ce,qt='<li><strong>details_logger</strong> (<a href="/docs/lighteval/v0.7.0/en/package_reference/logging#lighteval.logging.info_loggers.DetailsLogger">DetailsLogger</a>) — Logger for experiment details.</li> <li><strong>metrics_logger</strong> (<a href="/docs/lighteval/v0.7.0/en/package_reference/logging#lighteval.logging.info_loggers.MetricsLogger">MetricsLogger</a>) — Logger for experiment metrics.</li> <li><strong>versions_logger</strong> (<a href="/docs/lighteval/v0.7.0/en/package_reference/logging#lighteval.logging.info_loggers.VersionsLogger">VersionsLogger</a>) — Logger for task versions.</li> <li><strong>general_config_logger</strong> (<a href="/docs/lighteval/v0.7.0/en/package_reference/logging#lighteval.logging.info_loggers.GeneralConfigLogger">GeneralConfigLogger</a>) — Logger for general configuration.</li> <li><strong>task_config_logger</strong> (<a href="/docs/lighteval/v0.7.0/en/package_reference/logging#lighteval.logging.info_loggers.TaskConfigLogger">TaskConfigLogger</a>) — Logger for task configuration.</li>',dt,y,F,ct,he,Ft="Aggregates and returns all the logger’s experiment information in a dictionary.",ht,me,St="This function should be used to gather and display said information at the end of an evaluation run.",mt,E,S,ft,fe,Ot="Pushes the experiment details (all the model predictions for every step) to the hub.",pt,M,O,vt,pe,Rt="Fully updates the details repository metadata card for the currently evaluated model",_t,G,R,ut,ve,Ut="Saves the experiment information and results to files, and to the hub if requested.",Ne,U,Ae,L,K,bt,_e,Kt="Logger for the evaluation parameters.",$t,I,W,xt,ue,Wt="Logs the information about the arguments passed to the method.",Lt,P,B,kt,be,Bt="Logs the model information.",qe,J,Fe,$,Q,Ct,$e,Jt="Logger for the experiment details.",yt,xe,Qt="Stores and logs experiment information both at the task and at the sample level.",wt,V,X,Tt,Le,Xt=`Aggregate the details and hashes for each task and then for all tasks.
We end up with a dict of compiled details for each task and a dict of compiled details for all tasks.`,Dt,j,Y,Et,ke,Yt="Stores the relevant information for one sample of one task to the total list of samples stored in the DetailsLogger.",Se,Z,Oe,k,ee,Mt,Ce,Zt="Logs the actual scores for each metric of each task.",Gt,z,te,It,ye,eo="Aggregate the metrics for each task and then for all tasks.",Re,oe,Ue,C,ae,Pt,we,to="Logger of the tasks versions.",Vt,Te,oo="Tasks can have a version number/date, which indicates what is the precise metric definition and dataset version used for an evaluation.",Ke,re,We,D,ne,jt,De,ao="Logs the different parameters of the current <code>LightevalTask</code> of interest.",Be,ge,Je,Pe,Qe;return N=new le({props:{title:"Logging",local:"logging",headingTag:"h1"}}),A=new le({props:{title:"EvaluationTracker",local:"lighteval.logging.evaluation_tracker.EvaluationTracker",headingTag:"h2"}}),q=new x({props:{name:"class lighteval.logging.evaluation_tracker.EvaluationTracker",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker",parameters:[{name:"output_dir",val:": str"},{name:"save_details",val:": bool = True"},{name:"push_to_hub",val:": bool = False"},{name:"push_to_tensorboard",val:": bool = False"},{name:"hub_results_org",val:": str | None = ''"},{name:"tensorboard_metric_prefix",val:": str = 'eval'"},{name:"public",val:": bool = False"},{name:"nanotron_run_info",val:": GeneralArgs = None"}],parametersDescription:[{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.output_dir",description:"<strong>output_dir</strong> (<code>str</code>) &#x2014; Local folder path where you want results to be saved.",name:"output_dir"},{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.save_details",description:"<strong>save_details</strong> (<code>bool</code>, defaults to True) &#x2014; If True, details are saved to the <code>output_dir</code>.",name:"save_details"},{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.push_to_hub",description:`<strong>push_to_hub</strong> (<code>bool</code>, defaults to False) &#x2014; If True, details are pushed to the hub.
Results are pushed to <code>{hub_results_org}/details__{sanitized model_name}</code> for the model <code>model_name</code>, a public dataset,
if <code>public</code> is True else <code>{hub_results_org}/details__{sanitized model_name}_private</code>, a private dataset.`,name:"push_to_hub"},{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.push_to_tensorboard",description:"<strong>push_to_tensorboard</strong> (<code>bool</code>, defaults to False) &#x2014; If True, will create and push the results for a tensorboard folder on the hub.",name:"push_to_tensorboard"},{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.hub_results_org",description:`<strong>hub_results_org</strong> (<code>str</code>, <em>optional</em>) &#x2014; The organisation to push the results to.
See more details about the datasets organisation in <code>EvaluationTracker.save</code>.`,name:"hub_results_org"},{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.tensorboard_metric_prefix",description:"<strong>tensorboard_metric_prefix</strong> (<code>str</code>, defaults to &#x201C;eval&#x201D;) &#x2014; Prefix for the metrics in the tensorboard logs.",name:"tensorboard_metric_prefix"},{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.public",description:"<strong>public</strong> (<code>bool</code>, defaults to False) &#x2014; If True, results and details are pushed to public orgs.",name:"public"},{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.nanotron_run_info",description:"<strong>nanotron_run_info</strong> (<code>~nanotron.config.GeneralArgs</code>, <em>optional</em>) &#x2014; Reference to information about Nanotron models runs.",name:"nanotron_run_info"}],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/evaluation_tracker.py#L83"}}),F=new x({props:{name:"generate_final_dict",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.generate_final_dict",parameters:[],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/evaluation_tracker.py#L222"}}),S=new x({props:{name:"push_to_hub",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.push_to_hub",parameters:[{name:"date_id",val:": str"},{name:"details",val:": dict"},{name:"results_dict",val:": dict"}],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/evaluation_tracker.py#L243"}}),O=new x({props:{name:"recreate_metadata_card",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.recreate_metadata_card",parameters:[{name:"repo_id",val:": str"}],parametersDescription:[{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.recreate_metadata_card.repo_id",description:"<strong>repo_id</strong> (str) &#x2014; Details dataset repository path on the hub (<code>org/dataset</code>)",name:"repo_id"}],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/evaluation_tracker.py#L284"}}),R=new x({props:{name:"save",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.save",parameters:[],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/evaluation_tracker.py#L152"}}),U=new le({props:{title:"GeneralConfigLogger",local:"lighteval.logging.info_loggers.GeneralConfigLogger",headingTag:"h2"}}),K=new x({props:{name:"class lighteval.logging.info_loggers.GeneralConfigLogger",anchor:"lighteval.logging.info_loggers.GeneralConfigLogger",parameters:[],parametersDescription:[{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.lighteval_sha",description:"<strong>lighteval_sha</strong> (str) &#x2014; Current commit sha of lighteval used for the evaluation (for reproducibility purposes)",name:"lighteval_sha"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.num_fewshot_seeds",description:`<strong>num_fewshot_seeds</strong> (int) &#x2014; Number of seeds for the few-shot sampling.
If equal to or below 1, the experiment is done once only, with a single few-shot seed (equal to 0).
If above, the experiment is reproduced several times, with a different sampling/shuffling for the few-shot examples, which follows what is done in HELM for example.`,name:"num_fewshot_seeds"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.override_batch_size",description:`<strong>override_batch_size</strong> (int) &#x2014; Manages the batch size.
If strictly positive, its value is used as the batch size for all experiments.
Else, the batch size is automatically inferred depending on what fits in memory.`,name:"override_batch_size"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.max_samples",description:`<strong>max_samples</strong> (int) &#x2014; If set, cuts the number of samples per task to <code>max_samples</code>.
Note: This should only be used for debugging purposes!`,name:"max_samples"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.job_id",description:`<strong>job_id</strong> (int) &#x2014; If the evaluation suite is launched as a slurm job, stores the current job id.
Purely informative parameter used to retrieve scheduler logs.`,name:"job_id"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.start_time",description:"<strong>start_time</strong> (float) &#x2014; Start time of the experiment. Logged at class init.",name:"start_time"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.end_time",description:"<strong>end_time</strong> (float) &#x2014; End time of the experiment. Logged when calling <code>GeneralConfigLogger.log_end_time</code>",name:"end_time"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.total_evaluation_time_secondes",description:"<strong>total_evaluation_time_secondes</strong> (str) &#x2014; Inferred total evaluation time in seconds (from the start and end times).",name:"total_evaluation_time_secondes"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.model_name",description:"<strong>model_name</strong> (str) &#x2014; Name of the currently evaluated model.",name:"model_name"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.model_sha",description:"<strong>model_sha</strong> (str) &#x2014; Commit hash of the currently evaluated model on the hub if available.",name:"model_sha"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.model_dtype",description:"<strong>model_dtype</strong> (str) &#x2014; Dtype of the model weights, as obtained when loading the model config.",name:"model_dtype"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.model_size",description:"<strong>model_size</strong> (str) &#x2014; Model size as obtained when loading the model config.",name:"model_size"}],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/info_loggers.py#L51"}}),W=new x({props:{name:"log_args_info",anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_args_info",parameters:[{name:"num_fewshot_seeds",val:": int"},{name:"override_batch_size",val:": typing.Optional[int]"},{name:"max_samples",val:": typing.Optional[int]"},{name:"job_id",val:": str"},{name:"config",val:": Config = None"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_args_info.num_fewshot_seeds",description:"<strong>num_fewshot_seeds</strong> (int) &#x2014; number of few-shot seeds.",name:"num_fewshot_seeds"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_args_info.override_batch_size",description:`<strong>override_batch_size</strong> (Union[None, int]) &#x2014; overridden batch size.
If strictly positive, its value is used as the batch size for all experiments.
Else, the batch size is automatically inferred depending on what fits in memory.`,name:"override_batch_size"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_args_info.max_samples",description:"<strong>max_samples</strong> (Union[None, int]) &#x2014; maximum number of samples, if None, use all the samples available.",name:"max_samples"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_args_info.job_id",description:"<strong>job_id</strong> (str) &#x2014; job ID, used to retrieve logs.",name:"job_id"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_args_info.config",description:"<strong>config</strong> (optional) &#x2014; Nanotron Config",name:"config"}],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/info_loggers.py#L106",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>None</p>
`}}),B=new x({props:{name:"log_model_info",anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_model_info",parameters:[{name:"model_info",val:": ModelInfo"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_model_info.model_info",description:"<strong>model_info</strong> (ModelInfo) &#x2014; Model information to be logged.",name:"model_info"}],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/info_loggers.py#L136"}}),J=new le({props:{title:"DetailsLogger",local:"lighteval.logging.info_loggers.DetailsLogger",headingTag:"h2"}}),Q=new x({props:{name:"class lighteval.logging.info_loggers.DetailsLogger",anchor:"lighteval.logging.info_loggers.DetailsLogger",parameters:[{name:"hashes",val:": dict = <factory>"},{name:"compiled_hashes",val:": dict = <factory>"},{name:"details",val:": dict = <factory>"},{name:"compiled_details",val:": dict = <factory>"},{name:"compiled_details_over_all_tasks",val:": DetailsLogger.CompiledDetailOverAllTasks = <factory>"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.DetailsLogger.hashes",description:"<strong>hashes</strong> (dict[str, list<code>Hash</code>) &#x2014; Maps each task name to the list of all its samples&#x2019; <code>Hash</code>.",name:"hashes"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.compiled_hashes",description:"<strong>compiled_hashes</strong> (dict[str, CompiledHash) &#x2014; Maps each task name to its <code>CompiledHas</code>, an aggregation of all the individual sample hashes.",name:"compiled_hashes"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.details",description:`<strong>details</strong> (dict[str, list<code>Detail</code>]) &#x2014; Maps each task name to the list of its samples&#x2019; details.
Example: winogrande: [sample1_details, sample2_details, &#x2026;]`,name:"details"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.compiled_details",description:"<strong>compiled_details</strong> (dict[str, <code>CompiledDetail</code>]) &#x2014; : Maps each task name to the list of its samples&#x2019; compiled details.",name:"compiled_details"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.compiled_details_over_all_tasks",description:"<strong>compiled_details_over_all_tasks</strong> (CompiledDetailOverAllTasks) &#x2014; Aggregated details over all the tasks.",name:"compiled_details_over_all_tasks"}],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/info_loggers.py#L154"}}),X=new x({props:{name:"aggregate",anchor:"lighteval.logging.info_loggers.DetailsLogger.aggregate",parameters:[],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/info_loggers.py#L410"}}),Y=new x({props:{name:"log",anchor:"lighteval.logging.info_loggers.DetailsLogger.log",parameters:[{name:"task_name",val:": str"},{name:"task",val:": LightevalTask"},{name:"doc",val:": Doc"},{name:"outputs",val:": list"},{name:"metrics",val:": dict"},{name:"llm_as_prompt_judgement",val:": typing.Optional[tuple[str, str]] = None"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.DetailsLogger.log.task_name",description:"<strong>task_name</strong> (str) &#x2014; Name of the current task of interest.",name:"task_name"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.log.task",description:"<strong>task</strong> (LightevalTask) &#x2014; Current task of interest.",name:"task"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.log.doc",description:"<strong>doc</strong> (Doc) &#x2014; Current sample that we want to store.",name:"doc"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.log.outputs",description:"<strong>outputs</strong> (list[ModelResponse]) &#x2014; Model outputs for the current sample",name:"outputs"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.log.metrics",description:"<strong>metrics</strong> (<em>type</em>) &#x2014; Model scores for said sample on the current task&#x2019;s metrics.",name:"metrics"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.log.llm_as_prompt_judgement",description:`<strong>llm_as_prompt_judgement</strong> (tuple[str, str]) &#x2014; Tuple containing the
prompt passed to the judge and the judgement for the current sample when using llm-as-judge metric.`,name:"llm_as_prompt_judgement"}],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/info_loggers.py#L315"}}),Z=new le({props:{title:"MetricsLogger",local:"lighteval.logging.info_loggers.MetricsLogger",headingTag:"h2"}}),ee=new x({props:{name:"class lighteval.logging.info_loggers.MetricsLogger",anchor:"lighteval.logging.info_loggers.MetricsLogger",parameters:[{name:"metrics_values",val:": dict = <factory>"},{name:"metric_aggregated",val:": dict = <factory>"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.MetricsLogger.metrics_value",description:`<strong>metrics_value</strong> (dict[str, dict[str, list[float]]]) &#x2014; Maps each task to its dictionary of metrics to scores for all the example of the task.
Example: {&#x201C;winogrande|winogrande_xl&#x201D;: {&#x201C;accuracy&#x201D;: [0.5, 0.5, 0.5, 0.5, 0.5, 0.5]}&#x200C;}`,name:"metrics_value"},{anchor:"lighteval.logging.info_loggers.MetricsLogger.metric_aggregated",description:`<strong>metric_aggregated</strong> (dict[str, dict[str, float]]) &#x2014; Maps each task to its dictionary of metrics to aggregated scores over all the example of the task.
Example: {&#x201C;winogrande|winogrande_xl&#x201D;: {&#x201C;accuracy&#x201D;: 0.5}&#x200C;}`,name:"metric_aggregated"}],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/info_loggers.py#L467"}}),te=new x({props:{name:"aggregate",anchor:"lighteval.logging.info_loggers.MetricsLogger.aggregate",parameters:[{name:"task_dict",val:": dict"},{name:"bootstrap_iters",val:": int = 1000"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.MetricsLogger.aggregate.task_dict",description:"<strong>task_dict</strong> (dict[str, LightevalTask]) &#x2014; used to determine what aggregation function to use for each metric",name:"task_dict"},{anchor:"lighteval.logging.info_loggers.MetricsLogger.aggregate.bootstrap_iters",description:"<strong>bootstrap_iters</strong> (int, optional) &#x2014; Number of runs used to run the statistical bootstrap. Defaults to 1000.",name:"bootstrap_iters"}],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/info_loggers.py#L489"}}),oe=new le({props:{title:"VersionsLogger",local:"lighteval.logging.info_loggers.VersionsLogger",headingTag:"h2"}}),ae=new x({props:{name:"class lighteval.logging.info_loggers.VersionsLogger",anchor:"lighteval.logging.info_loggers.VersionsLogger",parameters:[{name:"versions",val:": dict = <factory>"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.VersionsLogger.version",description:"<strong>version</strong> (dict[str, int]) &#x2014; Maps the task names with the task versions.",name:"version"}],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/info_loggers.py#L568"}}),re=new le({props:{title:"TaskConfigLogger",local:"lighteval.logging.info_loggers.TaskConfigLogger",headingTag:"h2"}}),ne=new x({props:{name:"class lighteval.logging.info_loggers.TaskConfigLogger",anchor:"lighteval.logging.info_loggers.TaskConfigLogger",parameters:[{name:"tasks_configs",val:": dict = <factory>"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.TaskConfigLogger.tasks_config",description:"<strong>tasks_config</strong> (dict[str, LightevalTaskConfig]) &#x2014; Maps each task to its associated <code>LightevalTaskConfig</code>",name:"tasks_config"}],source:"https://github.com/huggingface/lighteval/blob/v0.7.0/src/lighteval/logging/info_loggers.py#L587"}}),ge=new co({props:{source:"https://github.com/huggingface/lighteval/blob/main/docs/source/package_reference/logging.mdx"}}),{c(){T=n("meta"),Ve=o(),Ie=n("p"),je=o(),d(N.$$.fragment),ze=o(),d(A.$$.fragment),He=o(),s=n("div"),d(q.$$.fragment),gt=o(),ie=n("p"),ie.textContent=Ht,lt=o(),se=n("p"),se.innerHTML=Nt,it=o(),de=n("p"),de.innerHTML=At,st=o(),ce=n("ul"),ce.innerHTML=qt,dt=o(),y=n("div"),d(F.$$.fragment),ct=o(),he=n("p"),he.textContent=Ft,ht=o(),me=n("p"),me.textContent=St,mt=o(),E=n("div"),d(S.$$.fragment),ft=o(),fe=n("p"),fe.textContent=Ot,pt=o(),M=n("div"),d(O.$$.fragment),vt=o(),pe=n("p"),pe.textContent=Rt,_t=o(),G=n("div"),d(R.$$.fragment),ut=o(),ve=n("p"),ve.textContent=Ut,Ne=o(),d(U.$$.fragment),Ae=o(),L=n("div"),d(K.$$.fragment),bt=o(),_e=n("p"),_e.textContent=Kt,$t=o(),I=n("div"),d(W.$$.fragment),xt=o(),ue=n("p"),ue.textContent=Wt,Lt=o(),P=n("div"),d(B.$$.fragment),kt=o(),be=n("p"),be.textContent=Bt,qe=o(),d(J.$$.fragment),Fe=o(),$=n("div"),d(Q.$$.fragment),Ct=o(),$e=n("p"),$e.textContent=Jt,yt=o(),xe=n("p"),xe.textContent=Qt,wt=o(),V=n("div"),d(X.$$.fragment),Tt=o(),Le=n("p"),Le.textContent=Xt,Dt=o(),j=n("div"),d(Y.$$.fragment),Et=o(),ke=n("p"),ke.textContent=Yt,Se=o(),d(Z.$$.fragment),Oe=o(),k=n("div"),d(ee.$$.fragment),Mt=o(),Ce=n("p"),Ce.textContent=Zt,Gt=o(),z=n("div"),d(te.$$.fragment),It=o(),ye=n("p"),ye.textContent=eo,Re=o(),d(oe.$$.fragment),Ue=o(),C=n("div"),d(ae.$$.fragment),Pt=o(),we=n("p"),we.textContent=to,Vt=o(),Te=n("p"),Te.textContent=oo,Ke=o(),d(re.$$.fragment),We=o(),D=n("div"),d(ne.$$.fragment),jt=o(),De=n("p"),De.innerHTML=ao,Be=o(),d(ge.$$.fragment),Je=o(),Pe=n("p"),this.h()},l(e){const l=so("svelte-u9bgzb",document.head);T=g(l,"META",{name:!0,content:!0}),l.forEach(r),Ve=a(e),Ie=g(e,"P",{}),u(Ie).forEach(r),je=a(e),c(N.$$.fragment,e),ze=a(e),c(A.$$.fragment,e),He=a(e),s=g(e,"DIV",{class:!0});var _=u(s);c(q.$$.fragment,_),gt=a(_),ie=g(_,"P",{"data-svelte-h":!0}),v(ie)!=="svelte-550339"&&(ie.textContent=Ht),lt=a(_),se=g(_,"P",{"data-svelte-h":!0}),v(se)!=="svelte-1o9clg7"&&(se.innerHTML=Nt),it=a(_),de=g(_,"P",{"data-svelte-h":!0}),v(de)!=="svelte-1xx6nm4"&&(de.innerHTML=At),st=a(_),ce=g(_,"UL",{"data-svelte-h":!0}),v(ce)!=="svelte-3y9ykz"&&(ce.innerHTML=qt),dt=a(_),y=g(_,"DIV",{class:!0});var Ee=u(y);c(F.$$.fragment,Ee),ct=a(Ee),he=g(Ee,"P",{"data-svelte-h":!0}),v(he)!=="svelte-qqp5v"&&(he.textContent=Ft),ht=a(Ee),me=g(Ee,"P",{"data-svelte-h":!0}),v(me)!=="svelte-1ke5vz1"&&(me.textContent=St),Ee.forEach(r),mt=a(_),E=g(_,"DIV",{class:!0});var Xe=u(E);c(S.$$.fragment,Xe),ft=a(Xe),fe=g(Xe,"P",{"data-svelte-h":!0}),v(fe)!=="svelte-1lj091"&&(fe.textContent=Ot),Xe.forEach(r),pt=a(_),M=g(_,"DIV",{class:!0});var Ye=u(M);c(O.$$.fragment,Ye),vt=a(Ye),pe=g(Ye,"P",{"data-svelte-h":!0}),v(pe)!=="svelte-1l1nn02"&&(pe.textContent=Rt),Ye.forEach(r),_t=a(_),G=g(_,"DIV",{class:!0});var Ze=u(G);c(R.$$.fragment,Ze),ut=a(Ze),ve=g(Ze,"P",{"data-svelte-h":!0}),v(ve)!=="svelte-1jp5uy4"&&(ve.textContent=Ut),Ze.forEach(r),_.forEach(r),Ne=a(e),c(U.$$.fragment,e),Ae=a(e),L=g(e,"DIV",{class:!0});var H=u(L);c(K.$$.fragment,H),bt=a(H),_e=g(H,"P",{"data-svelte-h":!0}),v(_e)!=="svelte-1hbelt4"&&(_e.textContent=Kt),$t=a(H),I=g(H,"DIV",{class:!0});var et=u(I);c(W.$$.fragment,et),xt=a(et),ue=g(et,"P",{"data-svelte-h":!0}),v(ue)!=="svelte-10ayidh"&&(ue.textContent=Wt),et.forEach(r),Lt=a(H),P=g(H,"DIV",{class:!0});var tt=u(P);c(B.$$.fragment,tt),kt=a(tt),be=g(tt,"P",{"data-svelte-h":!0}),v(be)!=="svelte-i1b6fb"&&(be.textContent=Bt),tt.forEach(r),H.forEach(r),qe=a(e),c(J.$$.fragment,e),Fe=a(e),$=g(e,"DIV",{class:!0});var w=u($);c(Q.$$.fragment,w),Ct=a(w),$e=g(w,"P",{"data-svelte-h":!0}),v($e)!=="svelte-10h2glb"&&($e.textContent=Jt),yt=a(w),xe=g(w,"P",{"data-svelte-h":!0}),v(xe)!=="svelte-lm3kog"&&(xe.textContent=Qt),wt=a(w),V=g(w,"DIV",{class:!0});var ot=u(V);c(X.$$.fragment,ot),Tt=a(ot),Le=g(ot,"P",{"data-svelte-h":!0}),v(Le)!=="svelte-1ojckoa"&&(Le.textContent=Xt),ot.forEach(r),Dt=a(w),j=g(w,"DIV",{class:!0});var at=u(j);c(Y.$$.fragment,at),Et=a(at),ke=g(at,"P",{"data-svelte-h":!0}),v(ke)!=="svelte-67ybgo"&&(ke.textContent=Yt),at.forEach(r),w.forEach(r),Se=a(e),c(Z.$$.fragment,e),Oe=a(e),k=g(e,"DIV",{class:!0});var Me=u(k);c(ee.$$.fragment,Me),Mt=a(Me),Ce=g(Me,"P",{"data-svelte-h":!0}),v(Ce)!=="svelte-1apiyrq"&&(Ce.textContent=Zt),Gt=a(Me),z=g(Me,"DIV",{class:!0});var rt=u(z);c(te.$$.fragment,rt),It=a(rt),ye=g(rt,"P",{"data-svelte-h":!0}),v(ye)!=="svelte-kkg900"&&(ye.textContent=eo),rt.forEach(r),Me.forEach(r),Re=a(e),c(oe.$$.fragment,e),Ue=a(e),C=g(e,"DIV",{class:!0});var Ge=u(C);c(ae.$$.fragment,Ge),Pt=a(Ge),we=g(Ge,"P",{"data-svelte-h":!0}),v(we)!=="svelte-1mw4cx5"&&(we.textContent=to),Vt=a(Ge),Te=g(Ge,"P",{"data-svelte-h":!0}),v(Te)!=="svelte-4rxdfx"&&(Te.textContent=oo),Ge.forEach(r),Ke=a(e),c(re.$$.fragment,e),We=a(e),D=g(e,"DIV",{class:!0});var nt=u(D);c(ne.$$.fragment,nt),jt=a(nt),De=g(nt,"P",{"data-svelte-h":!0}),v(De)!=="svelte-bhh5sj"&&(De.innerHTML=ao),nt.forEach(r),Be=a(e),c(ge.$$.fragment,e),Je=a(e),Pe=g(e,"P",{}),u(Pe).forEach(r),this.h()},h(){b(T,"name","hf:doc:metadata"),b(T,"content",mo),b(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,l){t(document.head,T),i(e,Ve,l),i(e,Ie,l),i(e,je,l),h(N,e,l),i(e,ze,l),h(A,e,l),i(e,He,l),i(e,s,l),h(q,s,null),t(s,gt),t(s,ie),t(s,lt),t(s,se),t(s,it),t(s,de),t(s,st),t(s,ce),t(s,dt),t(s,y),h(F,y,null),t(y,ct),t(y,he),t(y,ht),t(y,me),t(s,mt),t(s,E),h(S,E,null),t(E,ft),t(E,fe),t(s,pt),t(s,M),h(O,M,null),t(M,vt),t(M,pe),t(s,_t),t(s,G),h(R,G,null),t(G,ut),t(G,ve),i(e,Ne,l),h(U,e,l),i(e,Ae,l),i(e,L,l),h(K,L,null),t(L,bt),t(L,_e),t(L,$t),t(L,I),h(W,I,null),t(I,xt),t(I,ue),t(L,Lt),t(L,P),h(B,P,null),t(P,kt),t(P,be),i(e,qe,l),h(J,e,l),i(e,Fe,l),i(e,$,l),h(Q,$,null),t($,Ct),t($,$e),t($,yt),t($,xe),t($,wt),t($,V),h(X,V,null),t(V,Tt),t(V,Le),t($,Dt),t($,j),h(Y,j,null),t(j,Et),t(j,ke),i(e,Se,l),h(Z,e,l),i(e,Oe,l),i(e,k,l),h(ee,k,null),t(k,Mt),t(k,Ce),t(k,Gt),t(k,z),h(te,z,null),t(z,It),t(z,ye),i(e,Re,l),h(oe,e,l),i(e,Ue,l),i(e,C,l),h(ae,C,null),t(C,Pt),t(C,we),t(C,Vt),t(C,Te),i(e,Ke,l),h(re,e,l),i(e,We,l),i(e,D,l),h(ne,D,null),t(D,jt),t(D,De),i(e,Be,l),h(ge,e,l),i(e,Je,l),i(e,Pe,l),Qe=!0},p:no,i(e){Qe||(m(N.$$.fragment,e),m(A.$$.fragment,e),m(q.$$.fragment,e),m(F.$$.fragment,e),m(S.$$.fragment,e),m(O.$$.fragment,e),m(R.$$.fragment,e),m(U.$$.fragment,e),m(K.$$.fragment,e),m(W.$$.fragment,e),m(B.$$.fragment,e),m(J.$$.fragment,e),m(Q.$$.fragment,e),m(X.$$.fragment,e),m(Y.$$.fragment,e),m(Z.$$.fragment,e),m(ee.$$.fragment,e),m(te.$$.fragment,e),m(oe.$$.fragment,e),m(ae.$$.fragment,e),m(re.$$.fragment,e),m(ne.$$.fragment,e),m(ge.$$.fragment,e),Qe=!0)},o(e){f(N.$$.fragment,e),f(A.$$.fragment,e),f(q.$$.fragment,e),f(F.$$.fragment,e),f(S.$$.fragment,e),f(O.$$.fragment,e),f(R.$$.fragment,e),f(U.$$.fragment,e),f(K.$$.fragment,e),f(W.$$.fragment,e),f(B.$$.fragment,e),f(J.$$.fragment,e),f(Q.$$.fragment,e),f(X.$$.fragment,e),f(Y.$$.fragment,e),f(Z.$$.fragment,e),f(ee.$$.fragment,e),f(te.$$.fragment,e),f(oe.$$.fragment,e),f(ae.$$.fragment,e),f(re.$$.fragment,e),f(ne.$$.fragment,e),f(ge.$$.fragment,e),Qe=!1},d(e){e&&(r(Ve),r(Ie),r(je),r(ze),r(He),r(s),r(Ne),r(Ae),r(L),r(qe),r(Fe),r($),r(Se),r(Oe),r(k),r(Re),r(Ue),r(C),r(Ke),r(We),r(D),r(Be),r(Je),r(Pe)),r(T),p(N,e),p(A,e),p(q),p(F),p(S),p(O),p(R),p(U,e),p(K),p(W),p(B),p(J,e),p(Q),p(X),p(Y),p(Z,e),p(ee),p(te),p(oe,e),p(ae),p(re,e),p(ne),p(ge,e)}}}const mo='{"title":"Logging","local":"logging","sections":[{"title":"EvaluationTracker","local":"lighteval.logging.evaluation_tracker.EvaluationTracker","sections":[],"depth":2},{"title":"GeneralConfigLogger","local":"lighteval.logging.info_loggers.GeneralConfigLogger","sections":[],"depth":2},{"title":"DetailsLogger","local":"lighteval.logging.info_loggers.DetailsLogger","sections":[],"depth":2},{"title":"MetricsLogger","local":"lighteval.logging.info_loggers.MetricsLogger","sections":[],"depth":2},{"title":"VersionsLogger","local":"lighteval.logging.info_loggers.VersionsLogger","sections":[],"depth":2},{"title":"TaskConfigLogger","local":"lighteval.logging.info_loggers.TaskConfigLogger","sections":[],"depth":2}],"depth":1}';function fo(zt){return go(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class bo extends lo{constructor(T){super(),io(this,T,fo,ho,ro,{})}}export{bo as component};
